For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns the checklist items for a private task with the specified id.
      • GETReturns a checklist item for a private task with the specified id.
      • GETReturns the checklist for a private task with the specified id.
      • GETRetrieves a checklist item from a private task.
      • GETReturns the checklist items for a project task with the specified id.
      • GETRetrieves a checklist item from a project task.
      • GETReturns the checklist items for the task with the specified id.
      • POSTCreates a checklist item for a task with the specified id.
      • POSTConverts all checklist items of the specified task to subtasks.
      • GETReturns the checklist item with the specified id for a task.
      • PUTUpdates a checklist item for a task with the specified id.
      • DELDeletes a checklist item from a task.
      • GETReturns the checklist items for a private task with the specified id.
      • GETReturns a checklist item for a private task with the specified id.
      • GETReturns the checklist for a private task with the specified id.
      • GETRetrieves a checklist item from a private task.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceChecklist Items

Retrieves a checklist item from a private task.

GET
https://api.awork.com/api/v1/users/:userId/privatetasks/:taskId/checklistitems/:checklistItemId
GET
/api/v1/users/:userId/privatetasks/:taskId/checklistitems/:checklistItemId
$curl https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId \
> -H "Authorization: Bearer <token>"
1{
2 "name": "Create YouTube Ads",
3 "isDone": true,
4 "order": 4,
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "createdOn": "2021-03-12T11:00:00Z",
7 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
8 "updatedOn": "2021-03-14T11:31:00Z",
9 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
10 "taskId": "123e4567-e89b-12d3-a456-426614174000"
11}
<Check title="Required Permissions" icon="key">The user must be assigned to the task.</Check>
Was this page helpful?
Previous

Returns all comments of the task with the specified id.

Next
Built with
Required Permissions
The user must be assigned to the task.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

userIdstringRequiredformat: "uuid"
The id of the user.
taskIdstringRequiredformat: "uuid"
The id of the task.
checklistItemIdstringRequiredformat: "uuid"
The id of the checklist item to retrieve.

Response

OK
namestring0-25000 characters
The name of the checklist item.
isDoneboolean
Whether the checklist item is done.
orderdouble or null
The order of the checklist item.
idstringformat: "uuid"
The id of the checklist item.
createdOnstringformat: "date-time"
The date this checklist item was created.
createdBystringformat: "uuid"
The id of the user who created this checklist item.
updatedOnstringformat: "date-time"
The date this checklist item was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this checklist item.
taskIdstringformat: "uuid"
The id of the task this checklist item belongs to.

Errors

401
Unauthorized Error
404
Not Found Error